package com.njyunzhi.invoice.common.excel;

import com.alibaba.excel.converters.Converter;
import com.alibaba.excel.enums.CellDataTypeEnum;
import com.alibaba.excel.metadata.GlobalConfiguration;
import com.alibaba.excel.metadata.data.WriteCellData;
import com.alibaba.excel.metadata.property.ExcelContentProperty;

public class IsNeedLodqingCoverter implements Converter<String> {
        @Override
        public Class supportJavaTypeKey() {
            return String.class;
        }

        @Override
        public CellDataTypeEnum supportExcelTypeKey() {
            return CellDataTypeEnum.STRING;
        }

        /**
         * 写 Excel
         * @param value
         * @param contentProperty
         * @param globalConfiguration
         * @return
         * @throws Exception
         */
        @Override
        public WriteCellData<?> convertToExcelData(String value, ExcelContentProperty contentProperty, GlobalConfiguration globalConfiguration) throws Exception {
            if (null == value) return null;

            String val;
            switch (value) {
                case "1":
                    val = "是";
                    break;
                default:
                    val = "否";
            }


            return new WriteCellData(val);
        }
}
